2017-09-25 18:50 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002160Kali Linux[All Projects] Kali Package Bugpublic2015-03-16 05:36
Reporterdookie 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Versionkali-dev 
Target Version2.0Fixed in Versionkali-dev 
Summary0002160: SQLmap Errors out on kali-rolling
DescriptionRunning sqlmap against a target URL causes the following failure:

root@kali:~# sqlmap -u "http://192.168.11.251/wp/" --dbs
Traceback (most recent call last):
  File "./sqlmap", line 22, in <module>
    from lib.controller.controller import start
  File "/usr/share/sqlmap/lib/controller/controller.py", line 61, in <module>
    from lib.core.target import initTargetEnv
  File "/usr/share/sqlmap/lib/core/target.py", line 40, in <module>
    from lib.core.option import _setDBMS
  File "/usr/share/sqlmap/lib/core/option.py", line 140, in <module>
    from lib.request.httpshandler import HTTPSHandler
  File "/usr/share/sqlmap/lib/request/httpshandler.py", line 22, in <module>
    _protocols = [ssl.PROTOCOL_SSLv3, ssl.PROTOCOL_TLSv1, ssl.PROTOCOL_SSLv23]
AttributeError: 'module' object has no attribute 'PROTOCOL_SSLv3'
Attached Files

-Relationships
+Relationships

-Notes

~0003161

rhertzog (administrator)

The underlying problem is that libssl no longer supports SSLv2 and SSLv3. In turn the Python "ssl" module built against that library no longer exports those ssl.PROTOCOL_SSLv3 ssl.PROTOCOL_SSLv23 constants.

So sqlmap should learn to deal with those missing constants.

And for Kali we might want to reenable SSLv2/SSLv3 in libssl and rebuild python.

~0003162

rhertzog (administrator)

Filed https://github.com/sqlmapproject/sqlmap/issues/1193 in the upstream project.

~0003163

rhertzog (administrator)

Looks like this is already fixed in the sqlmap git repository. Let's try to update sqlmap only for now.

~0003167

sbrun (manager)

sqlmap is updated in kali-proposed-updates and kali-dev. The new version is 1.0+git20150214-0kali1.
+Notes

-Issue History
Date Modified Username Field Change
2015-03-11 10:02 dookie New Issue
2015-03-13 06:27 rhertzog Note Added: 0003161
2015-03-13 06:27 rhertzog Assigned To => sbrun
2015-03-13 06:27 rhertzog Status new => confirmed
2015-03-13 06:27 rhertzog Target Version kali-dev => 2.0
2015-03-13 06:33 rhertzog Note Added: 0003162
2015-03-13 09:26 rhertzog Note Added: 0003163
2015-03-16 05:36 sbrun Note Added: 0003167
2015-03-16 05:36 sbrun Status confirmed => resolved
2015-03-16 05:36 sbrun Resolution open => fixed
2015-03-16 05:36 sbrun Fixed in Version => kali-dev
2015-11-09 13:44 Mr.Joe Issue cloned: 0002807
+Issue History